Ajp13Parser.EventHandler (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.ajp

## Interface Ajp13Parser.EventHandler

- Enclosing class:
    Ajp13Parser

      public static interface Ajp13Parser.EventHandler

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `content(Buffer ref)`
    `void` | `headerComplete()`
    `void` | `messageComplete(long contextLength)`
    `void` | `parsedAuthorizationType(Buffer authType)`
    `void` | `parsedContextPath(Buffer context)`
    `void` | `parsedHeader(Buffer name, Buffer value)`
    `void` | `parsedMethod(Buffer method)`
    `void` | `parsedProtocol(Buffer protocol)`
    `void` | `parsedQueryString(Buffer value)`
    `void` | `parsedRemoteAddr(Buffer addr)`
    `void` | `parsedRemoteHost(Buffer host)`
    `void` | `parsedRemoteUser(Buffer remoteUser)`
    `void` | `parsedRequestAttribute(String key, Buffer value)`
    `void` | `parsedRequestAttribute(String key, int value)`
    `void` | `parsedServerName(Buffer name)`
    `void` | `parsedServerPort(int port)`
    `void` | `parsedServletPath(Buffer servletPath)`
    `void` | `parsedSslCert(Buffer sslCert)`
    `void` | `parsedSslCipher(Buffer sslCipher)`
    `void` | `parsedSslKeySize(int keySize)`
    `void` | `parsedSslSecure(boolean secure)`
    `void` | `parsedSslSession(Buffer sslSession)`
    `void` | `parsedUri(Buffer uri)`
    `void` | `startForwardRequest()`

- - ### Method Detail

    - #### content

          void content(Buffer ref)
                       throws IOException

      Throws:
        `IOException`

    - #### headerComplete

          void headerComplete()
                              throws IOException

      Throws:
        `IOException`

    - #### messageComplete

          void messageComplete(long contextLength)
                               throws IOException

      Throws:
        `IOException`

    - #### parsedHeader

          void parsedHeader(Buffer name,
                          Buffer value)
                            throws IOException

      Throws:
        `IOException`

    - #### parsedMethod

          void parsedMethod(Buffer method)
                            throws IOException

      Throws:
        `IOException`

    - #### parsedProtocol

          void parsedProtocol(Buffer protocol)
                              throws IOException

      Throws:
        `IOException`

    - #### parsedQueryString

          void parsedQueryString(Buffer value)
                                 throws IOException

      Throws:
        `IOException`

    - #### parsedRemoteAddr

          void parsedRemoteAddr(Buffer addr)
                                throws IOException

      Throws:
        `IOException`

    - #### parsedRemoteHost

          void parsedRemoteHost(Buffer host)
                                throws IOException

      Throws:
        `IOException`

    - #### parsedRequestAttribute

          void parsedRequestAttribute(String key,
                                    Buffer value)
                                      throws IOException

      Throws:
        `IOException`

    - #### parsedRequestAttribute

          void parsedRequestAttribute(String key,
                                    int value)
                                      throws IOException

      Throws:
        `IOException`

    - #### parsedServerName

          void parsedServerName(Buffer name)
                                throws IOException

      Throws:
        `IOException`

    - #### parsedServerPort

          void parsedServerPort(int port)
                                throws IOException

      Throws:
        `IOException`

    - #### parsedSslSecure

          void parsedSslSecure(boolean secure)
                               throws IOException

      Throws:
        `IOException`

    - #### parsedUri

          void parsedUri(Buffer uri)
                         throws IOException

      Throws:
        `IOException`

    - #### startForwardRequest

          void startForwardRequest()
                                   throws IOException

      Throws:
        `IOException`

    - #### parsedAuthorizationType

          void parsedAuthorizationType(Buffer authType)
                                       throws IOException

      Throws:
        `IOException`

    - #### parsedRemoteUser

          void parsedRemoteUser(Buffer remoteUser)
                                throws IOException

      Throws:
        `IOException`

    - #### parsedServletPath

          void parsedServletPath(Buffer servletPath)
                                 throws IOException

      Throws:
        `IOException`

    - #### parsedContextPath

          void parsedContextPath(Buffer context)
                                 throws IOException

      Throws:
        `IOException`

    - #### parsedSslCert

          void parsedSslCert(Buffer sslCert)
                             throws IOException

      Throws:
        `IOException`

    - #### parsedSslCipher

          void parsedSslCipher(Buffer sslCipher)
                               throws IOException

      Throws:
        `IOException`

    - #### parsedSslSession

          void parsedSslSession(Buffer sslSession)
                                throws IOException

      Throws:
        `IOException`

    - #### parsedSslKeySize

          void parsedSslKeySize(int keySize)
                                throws IOException

      Throws:
        `IOException`

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.